<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: DayzExpansion/Core/Scripts/4_world/dayzexpansion_core/classes/fsm/expansiontransitiontype.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.17</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('df/d59/a01001_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">expansiontransitiontype.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../df/d59/a01001.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno"><a class="line" href="../../df/dc0/a04602.html">    1</a></span><span class="keyword">class </span><a class="code hl_class" href="../../df/dc0/a04602.html">ExpansionTransitionType</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../df/dc0/a04602.html#aaa81eb655268684b3aeffc2d45f9459a">    3</a></span>    <span class="keyword">private</span> <span class="keyword">static</span> ref map&lt;string, autoptr ExpansionTransitionType&gt; <a class="code hl_variable" href="../../df/dc0/a04602.html#aaa81eb655268684b3aeffc2d45f9459a">m_Types</a> = <span class="keyword">new</span> map&lt;string, autoptr ExpansionTransitionType&gt;();</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span> </div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno"><a class="line" href="../../df/dc0/a04602.html#a9a1ac41f32f2e28644ef64c04094b35e">    5</a></span>    <span class="keywordtype">string</span> <a class="code hl_variable" href="../../df/dc0/a04602.html#a9a1ac41f32f2e28644ef64c04094b35e">m_ClassName</a>;</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span> </div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno"><a class="line" href="../../df/dc0/a04602.html#aad529cf92d4ba3797aebda99dce14754">    7</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../df/dc0/a04602.html#aad529cf92d4ba3797aebda99dce14754">ExpansionTransitionType</a>()</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span>    {</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span><span class="preprocessor">#ifdef EAI_TRACE</span></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../db/d7c/a00722.html#a5be2213174cd68943ae1e0885eca5ec7">CF_Trace_0</a>(<span class="keyword">this</span>, <span class="stringliteral">&quot;ExpansionTransitionType&quot;</span>);</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>    }</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span> </div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno"><a class="line" href="../../df/dc0/a04602.html#a36bb93ad9947536c001ce3712205bc11">   14</a></span>    <span class="keyword">static</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../df/dc0/a04602.html#a36bb93ad9947536c001ce3712205bc11">UnloadAll</a>()</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>    {</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>        <a class="code hl_variable" href="../../df/dc0/a04602.html#aaa81eb655268684b3aeffc2d45f9459a">m_Types</a>.Clear();</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>    }</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span> </div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno"><a class="line" href="../../df/dc0/a04602.html#a69845b3fa6d42ce522f79e61c01fdd05">   19</a></span>    <span class="keyword">static</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../df/dc0/a04602.html#a69845b3fa6d42ce522f79e61c01fdd05">Contains</a>(<span class="keywordtype">string</span> <a class="code hl_variable" href="../../dc/d0c/a01532.html#ac884e55f04581066557cb0154a82a44a">name</a>)</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>    {</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span><span class="preprocessor">#ifdef EAI_TRACE</span></div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../db/d7c/a00722.html#a2dbd0d5f5331e4721875b123084eb0df">CF_Trace_1</a>(<span class="stringliteral">&quot;ExpansionTransitionType&quot;</span>, <span class="stringliteral">&quot;Contains&quot;</span>).Add(<a class="code hl_variable" href="../../dc/d0c/a01532.html#ac884e55f04581066557cb0154a82a44a">name</a>);</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span> </div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../df/dc0/a04602.html#aaa81eb655268684b3aeffc2d45f9459a">m_Types</a>.Contains(<a class="code hl_variable" href="../../dc/d0c/a01532.html#ac884e55f04581066557cb0154a82a44a">name</a>);</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>    }</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span> </div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno"><a class="line" href="../../df/dc0/a04602.html#a944e2d8a95da8b6d4fb4ff75d99edba2">   28</a></span>    <span class="keyword">static</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../df/dc0/a04602.html#a944e2d8a95da8b6d4fb4ff75d99edba2">Add</a>(<a class="code hl_class" href="../../df/dc0/a04602.html">ExpansionTransitionType</a> type)</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>    {</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span><span class="preprocessor">#ifdef EAI_TRACE</span></div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../db/d7c/a00722.html#a2dbd0d5f5331e4721875b123084eb0df">CF_Trace_1</a>(<span class="stringliteral">&quot;ExpansionTransitionType&quot;</span>, <span class="stringliteral">&quot;Add&quot;</span>).Add(type);</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span> </div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>        <a class="code hl_variable" href="../../df/dc0/a04602.html#aaa81eb655268684b3aeffc2d45f9459a">m_Types</a>.Insert(type.<a class="code hl_variable" href="../../df/dc0/a04602.html#a9a1ac41f32f2e28644ef64c04094b35e">m_ClassName</a>, type);</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>    }</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span> </div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno"><a class="line" href="../../df/dc0/a04602.html#ad9e56a74323095b34b75c902367b6cc2">   37</a></span>    <span class="keyword">static</span> <a class="code hl_class" href="../../df/dc0/a04602.html">ExpansionTransitionType</a> <a class="code hl_function" href="../../df/dc0/a04602.html#ad9e56a74323095b34b75c902367b6cc2">Get</a>(<span class="keywordtype">string</span> type)</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>    {</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span><span class="preprocessor">#ifdef EAI_TRACE</span></div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../db/d7c/a00722.html#a2dbd0d5f5331e4721875b123084eb0df">CF_Trace_1</a>(<span class="stringliteral">&quot;ExpansionTransitionType&quot;</span>, <span class="stringliteral">&quot;Get&quot;</span>).Add(type);</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span> </div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../df/dc0/a04602.html#aaa81eb655268684b3aeffc2d45f9459a">m_Types</a>[type];</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>    }</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span> </div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno"><a class="line" href="../../df/dc0/a04602.html#a9206581b2ae1e6c787dd5321b1b2117a">   46</a></span>    <span class="keyword">static</span> <a class="code hl_class" href="../../df/dc0/a04602.html">ExpansionTransitionType</a> <a class="code hl_function" href="../../df/dc0/a04602.html#a9206581b2ae1e6c787dd5321b1b2117a">LoadXML</a>(<a class="code hl_class" href="../../df/dd7/a04586.html">ExpansionFSMType</a> fsmType, CF_XML_Tag xml_root_tag, FileHandle file)</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>    {</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span><span class="preprocessor">#ifdef EAI_TRACE</span></div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../db/d7c/a00722.html#a2dbd0d5f5331e4721875b123084eb0df">CF_Trace_1</a>(<span class="stringliteral">&quot;ExpansionTransitionType&quot;</span>, <span class="stringliteral">&quot;LoadXML&quot;</span>).Add(fsmName);</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span> </div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>        <span class="keywordtype">string</span> fsmName = fsmType.<a class="code hl_variable" href="../../df/dd7/a04586.html#ac4eb221384338294352c03dd40eac8b5">m_Name</a>;</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span> </div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>        <span class="keywordtype">string</span> from_state_name;</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>        <span class="keyword">auto</span> from_state = xml_root_tag.GetTag(<span class="stringliteral">&quot;from_state&quot;</span>);</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>        <span class="keywordflow">if</span> (from_state.Count() &gt; 0)</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>        {</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>            <span class="keyword">auto</span> from_state_name_attr = from_state[0].GetAttribute(<span class="stringliteral">&quot;name&quot;</span>);</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>            <span class="keywordflow">if</span> (from_state_name_attr)</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>            {</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>                from_state_name = from_state_name_attr.ValueAsString();</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>            }</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>        }</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>        <span class="keywordtype">string</span> from_state_class = <span class="stringliteral">&quot;ExpansionState&quot;</span>;</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>        <span class="keywordflow">if</span> (from_state_name != <span class="stringliteral">&quot;&quot;</span>)</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>        {</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>            from_state_class = <span class="stringliteral">&quot;Expansion_&quot;</span> + fsmName + <span class="stringliteral">&quot;_&quot;</span> + from_state_name + <span class="stringliteral">&quot;_State_&quot;</span> + <a class="code hl_class" href="../../df/dd7/a04586.html">ExpansionFSMType</a>.<a class="code hl_variable" href="../../df/dd7/a04586.html#a9afb5993cc1b047b684778375281f752">s_ReloadNumber</a>;</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>        }</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span> </div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>        <span class="keywordtype">string</span> to_state_name;</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>        <span class="keyword">auto</span> to_state = xml_root_tag.GetTag(<span class="stringliteral">&quot;to_state&quot;</span>);</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>        <span class="keywordflow">if</span> (to_state.Count() &gt; 0)</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>        {</div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>            <span class="keyword">auto</span> to_state_name_attr = to_state[0].GetAttribute(<span class="stringliteral">&quot;name&quot;</span>);</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>            <span class="keywordflow">if</span> (to_state_name_attr)</div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>            {</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>                to_state_name = to_state_name_attr.ValueAsString();</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>            }</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>        }</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>        <span class="keywordtype">string</span> to_state_class = <span class="stringliteral">&quot;ExpansionState&quot;</span>;</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>        <span class="keywordflow">if</span> (to_state_name != <span class="stringliteral">&quot;&quot;</span>)</div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>        {</div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>            to_state_class = <span class="stringliteral">&quot;Expansion_&quot;</span> + fsmName + <span class="stringliteral">&quot;_&quot;</span> + to_state_name + <span class="stringliteral">&quot;_State_&quot;</span> + <a class="code hl_class" href="../../df/dd7/a04586.html">ExpansionFSMType</a>.<a class="code hl_variable" href="../../df/dd7/a04586.html#a9afb5993cc1b047b684778375281f752">s_ReloadNumber</a>;</div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>        }</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span> </div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>        <span class="keywordtype">string</span> event_name;</div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>        <span class="keyword">auto</span> evt = xml_root_tag.GetTag(<span class="stringliteral">&quot;event&quot;</span>);</div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>        <span class="keywordflow">if</span> (evt.Count() &gt; 0)</div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>        {</div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>            <span class="keyword">auto</span> evt_name_attr = evt[0].GetAttribute(<span class="stringliteral">&quot;name&quot;</span>);</div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>            <span class="keywordflow">if</span> (evt_name_attr)</div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>            {</div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>                event_name = evt_name_attr.ValueAsString();</div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span>            }</div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>        }</div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>        <span class="keywordtype">string</span> event_class = <span class="stringliteral">&quot;&quot;</span>;</div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span>        <span class="keywordflow">if</span> (event_name != <span class="stringliteral">&quot;&quot;</span>)</div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span>        {</div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>            event_class = <span class="stringliteral">&quot;Expansion_&quot;</span> + event_name + <span class="stringliteral">&quot;_Event&quot;</span>;</div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span>        }</div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span> </div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span>        <span class="keywordtype">string</span> class_name = <span class="stringliteral">&quot;Expansion_&quot;</span> + fsmName + <span class="stringliteral">&quot;_&quot;</span> + from_state_name + <span class="stringliteral">&quot;_&quot;</span> + to_state_name + <span class="stringliteral">&quot;_Transition_&quot;</span> + <a class="code hl_class" href="../../df/dd7/a04586.html">ExpansionFSMType</a>.<a class="code hl_variable" href="../../df/dd7/a04586.html#a9afb5993cc1b047b684778375281f752">s_ReloadNumber</a>;</div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span> </div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span>        <span class="keywordflow">if</span> (<a class="code hl_class" href="../../df/dc0/a04602.html">ExpansionTransitionType</a>.<a class="code hl_function" href="../../df/dc0/a04602.html#a69845b3fa6d42ce522f79e61c01fdd05">Contains</a>(class_name))</div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span>        {</div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span>            <span class="keywordflow">return</span> <a class="code hl_class" href="../../df/dc0/a04602.html">ExpansionTransitionType</a>.<a class="code hl_function" href="../../df/dc0/a04602.html#ad9e56a74323095b34b75c902367b6cc2">Get</a>(class_name);</div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span>        }</div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span> </div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span>        <a class="code hl_class" href="../../df/dc0/a04602.html">ExpansionTransitionType</a> new_type = <span class="keyword">new</span> <a class="code hl_function" href="../../df/dc0/a04602.html#aad529cf92d4ba3797aebda99dce14754">ExpansionTransitionType</a>();</div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span>        new_type.<a class="code hl_variable" href="../../df/dc0/a04602.html#a9a1ac41f32f2e28644ef64c04094b35e">m_ClassName</a> = class_name;</div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno">  111</span> </div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span>        FPrintln(file, <span class="stringliteral">&quot;class &quot;</span> + class_name + <span class="stringliteral">&quot; extends &quot;</span> + fsmType.<a class="code hl_variable" href="../../df/dd7/a04586.html#a113dbdaf4b2f55c93f5474ddb435c1a4">m_Type</a> + <span class="stringliteral">&quot;Transition {&quot;</span>);</div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span> </div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno">  114</span>        FPrintln(file, <span class="stringliteral">&quot;private &quot;</span> + from_state_class + <span class="stringliteral">&quot; src;&quot;</span>);</div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno">  115</span>        FPrintln(file, <span class="stringliteral">&quot;private &quot;</span> + to_state_class + <span class="stringliteral">&quot; dst;&quot;</span>);</div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno">  116</span> </div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno">  117</span>        FPrintln(file, <span class="stringliteral">&quot;Expansion_&quot;</span> + fsmName + <span class="stringliteral">&quot;_FSM_&quot;</span> + <a class="code hl_class" href="../../df/dd7/a04586.html">ExpansionFSMType</a>.<a class="code hl_variable" href="../../df/dd7/a04586.html#a9afb5993cc1b047b684778375281f752">s_ReloadNumber</a> + <span class="stringliteral">&quot; fsm;&quot;</span>);</div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno">  118</span> </div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno">  119</span>        FPrintln(file, <span class="stringliteral">&quot;void &quot;</span> + class_name + <span class="stringliteral">&quot;(ExpansionFSM _fsm) {&quot;</span>);</div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno">  120</span>        FPrintln(file, <span class="stringliteral">&quot;Class.CastTo(fsm, _fsm);&quot;</span>);</div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno">  121</span>        FPrintln(file, <span class="stringliteral">&quot;m_ClassName = \&quot;&quot;</span> + class_name + <span class="stringliteral">&quot;\&quot;;&quot;</span>);</div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno">  122</span>        FPrintln(file, <span class="stringliteral">&quot;Class.CastTo(src, _fsm.GetState(\&quot;&quot;</span> + from_state_class + <span class="stringliteral">&quot;\&quot;));&quot;</span>);</div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno">  123</span>        FPrintln(file, <span class="stringliteral">&quot;Class.CastTo(dst, _fsm.GetState(\&quot;&quot;</span> + to_state_class + <span class="stringliteral">&quot;\&quot;));&quot;</span>);</div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno">  124</span>        FPrintln(file, <span class="stringliteral">&quot;}&quot;</span>);</div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno">  125</span> </div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno">  126</span>        <span class="keyword">auto</span> guard = xml_root_tag.GetTag(<span class="stringliteral">&quot;guard&quot;</span>);</div>
<div class="line"><a id="l00127" name="l00127"></a><span class="lineno">  127</span>        <span class="keywordflow">if</span> (guard.Count() &gt; 0)</div>
<div class="line"><a id="l00128" name="l00128"></a><span class="lineno">  128</span>        {</div>
<div class="line"><a id="l00129" name="l00129"></a><span class="lineno">  129</span>            FPrintln(file, <span class="stringliteral">&quot;override int Guard() {&quot;</span>);</div>
<div class="line"><a id="l00130" name="l00130"></a><span class="lineno">  130</span><span class="preprocessor">#ifdef EAI_TRACE</span></div>
<div class="line"><a id="l00131" name="l00131"></a><span class="lineno">  131</span>            FPrintln(file, <span class="stringliteral">&quot;auto trace = CF_Trace_0(this, \&quot;Guard\&quot;);&quot;</span>);</div>
<div class="line"><a id="l00132" name="l00132"></a><span class="lineno">  132</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00133" name="l00133"></a><span class="lineno">  133</span>            FPrintln(file, guard[0].GetContent().GetContent());</div>
<div class="line"><a id="l00134" name="l00134"></a><span class="lineno">  134</span>            FPrintln(file, <span class="stringliteral">&quot;}&quot;</span>);</div>
<div class="line"><a id="l00135" name="l00135"></a><span class="lineno">  135</span>        }</div>
<div class="line"><a id="l00136" name="l00136"></a><span class="lineno">  136</span> </div>
<div class="line"><a id="l00137" name="l00137"></a><span class="lineno">  137</span>        FPrintln(file, <span class="stringliteral">&quot;override ExpansionState GetSource() { return src; }&quot;</span>);</div>
<div class="line"><a id="l00138" name="l00138"></a><span class="lineno">  138</span>        FPrintln(file, <span class="stringliteral">&quot;override ExpansionState GetDestination() { return dst; }&quot;</span>);</div>
<div class="line"><a id="l00139" name="l00139"></a><span class="lineno">  139</span>        FPrintln(file, <span class="stringliteral">&quot;override string GetEvent() { return \&quot;&quot;</span> + event_class + <span class="stringliteral">&quot;\&quot;; }&quot;</span>);</div>
<div class="line"><a id="l00140" name="l00140"></a><span class="lineno">  140</span> </div>
<div class="line"><a id="l00141" name="l00141"></a><span class="lineno">  141</span>        FPrintln(file, <span class="stringliteral">&quot;}&quot;</span>);</div>
<div class="line"><a id="l00142" name="l00142"></a><span class="lineno">  142</span> </div>
<div class="line"><a id="l00143" name="l00143"></a><span class="lineno">  143</span>        <a class="code hl_class" href="../../df/dc0/a04602.html">ExpansionTransitionType</a>.<a class="code hl_function" href="../../df/dc0/a04602.html#a944e2d8a95da8b6d4fb4ff75d99edba2">Add</a>(new_type);</div>
<div class="line"><a id="l00144" name="l00144"></a><span class="lineno">  144</span> </div>
<div class="line"><a id="l00145" name="l00145"></a><span class="lineno">  145</span>        <span class="keywordflow">return</span> new_type;</div>
<div class="line"><a id="l00146" name="l00146"></a><span class="lineno">  146</span>    }</div>
<div class="line"><a id="l00147" name="l00147"></a><span class="lineno">  147</span>};</div>
<div class="ttc" id="aa00722_html_a2dbd0d5f5331e4721875b123084eb0df"><div class="ttname"><a href="../../db/d7c/a00722.html#a2dbd0d5f5331e4721875b123084eb0df">CF_Trace_1</a></div><div class="ttdeci">static CF_Trace CF_Trace_1(bool doLog, Class instance)</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d7c/a00722_source.html#l00075">cf_trace.c:75</a></div></div>
<div class="ttc" id="aa00722_html_a5be2213174cd68943ae1e0885eca5ec7"><div class="ttname"><a href="../../db/d7c/a00722.html#a5be2213174cd68943ae1e0885eca5ec7">CF_Trace_0</a></div><div class="ttdeci">static CF_Trace CF_Trace_0(bool doLog, Class instance)</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d7c/a00722_source.html#l00069">cf_trace.c:69</a></div></div>
<div class="ttc" id="aa01532_html_ac884e55f04581066557cb0154a82a44a"><div class="ttname"><a href="../../dc/d0c/a01532.html#ac884e55f04581066557cb0154a82a44a">name</a></div><div class="ttdeci">class ExpansionMarketOutputs name</div></div>
<div class="ttc" id="aa04586_html"><div class="ttname"><a href="../../df/dd7/a04586.html">ExpansionFSMType</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d95/a00989_source.html#l00001">expansionfsmtype.c:2</a></div></div>
<div class="ttc" id="aa04586_html_a113dbdaf4b2f55c93f5474ddb435c1a4"><div class="ttname"><a href="../../df/dd7/a04586.html#a113dbdaf4b2f55c93f5474ddb435c1a4">ExpansionFSMType::m_Type</a></div><div class="ttdeci">string m_Type</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d95/a00989_source.html#l00009">expansionfsmtype.c:9</a></div></div>
<div class="ttc" id="aa04586_html_a9afb5993cc1b047b684778375281f752"><div class="ttname"><a href="../../df/dd7/a04586.html#a9afb5993cc1b047b684778375281f752">ExpansionFSMType::s_ReloadNumber</a></div><div class="ttdeci">static int s_ReloadNumber</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d95/a00989_source.html#l00003">expansionfsmtype.c:3</a></div></div>
<div class="ttc" id="aa04586_html_ac4eb221384338294352c03dd40eac8b5"><div class="ttname"><a href="../../df/dd7/a04586.html#ac4eb221384338294352c03dd40eac8b5">ExpansionFSMType::m_Name</a></div><div class="ttdeci">string m_Name</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d95/a00989_source.html#l00008">expansionfsmtype.c:8</a></div></div>
<div class="ttc" id="aa04602_html"><div class="ttname"><a href="../../df/dc0/a04602.html">ExpansionTransitionType</a></div><div class="ttdef"><b>Definition:</b> <a href="../../df/d59/a01001_source.html#l00001">expansiontransitiontype.c:2</a></div></div>
<div class="ttc" id="aa04602_html_a36bb93ad9947536c001ce3712205bc11"><div class="ttname"><a href="../../df/dc0/a04602.html#a36bb93ad9947536c001ce3712205bc11">ExpansionTransitionType::UnloadAll</a></div><div class="ttdeci">static void UnloadAll()</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d59/a01001_source.html#l00014">expansiontransitiontype.c:14</a></div></div>
<div class="ttc" id="aa04602_html_a69845b3fa6d42ce522f79e61c01fdd05"><div class="ttname"><a href="../../df/dc0/a04602.html#a69845b3fa6d42ce522f79e61c01fdd05">ExpansionTransitionType::Contains</a></div><div class="ttdeci">static bool Contains(string name)</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d59/a01001_source.html#l00019">expansiontransitiontype.c:19</a></div></div>
<div class="ttc" id="aa04602_html_a9206581b2ae1e6c787dd5321b1b2117a"><div class="ttname"><a href="../../df/dc0/a04602.html#a9206581b2ae1e6c787dd5321b1b2117a">ExpansionTransitionType::LoadXML</a></div><div class="ttdeci">static ExpansionTransitionType LoadXML(ExpansionFSMType fsmType, CF_XML_Tag xml_root_tag, FileHandle file)</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d59/a01001_source.html#l00046">expansiontransitiontype.c:46</a></div></div>
<div class="ttc" id="aa04602_html_a944e2d8a95da8b6d4fb4ff75d99edba2"><div class="ttname"><a href="../../df/dc0/a04602.html#a944e2d8a95da8b6d4fb4ff75d99edba2">ExpansionTransitionType::Add</a></div><div class="ttdeci">static void Add(ExpansionTransitionType type)</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d59/a01001_source.html#l00028">expansiontransitiontype.c:28</a></div></div>
<div class="ttc" id="aa04602_html_a9a1ac41f32f2e28644ef64c04094b35e"><div class="ttname"><a href="../../df/dc0/a04602.html#a9a1ac41f32f2e28644ef64c04094b35e">ExpansionTransitionType::m_ClassName</a></div><div class="ttdeci">string m_ClassName</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d59/a01001_source.html#l00005">expansiontransitiontype.c:5</a></div></div>
<div class="ttc" id="aa04602_html_aaa81eb655268684b3aeffc2d45f9459a"><div class="ttname"><a href="../../df/dc0/a04602.html#aaa81eb655268684b3aeffc2d45f9459a">ExpansionTransitionType::m_Types</a></div><div class="ttdeci">static private ref map&lt; string, autoptr ExpansionTransitionType &gt; m_Types</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d59/a01001_source.html#l00003">expansiontransitiontype.c:3</a></div></div>
<div class="ttc" id="aa04602_html_aad529cf92d4ba3797aebda99dce14754"><div class="ttname"><a href="../../df/dc0/a04602.html#aad529cf92d4ba3797aebda99dce14754">ExpansionTransitionType::ExpansionTransitionType</a></div><div class="ttdeci">void ExpansionTransitionType()</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d59/a01001_source.html#l00007">expansiontransitiontype.c:7</a></div></div>
<div class="ttc" id="aa04602_html_ad9e56a74323095b34b75c902367b6cc2"><div class="ttname"><a href="../../df/dc0/a04602.html#ad9e56a74323095b34b75c902367b6cc2">ExpansionTransitionType::Get</a></div><div class="ttdeci">static ExpansionTransitionType Get(string type)</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d59/a01001_source.html#l00037">expansiontransitiontype.c:37</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_6127fff2da0a20e2dc2cd9302c584350.html">DayzExpansion</a></li><li class="navelem"><a class="el" href="../../dir_fa1f4f079ed95106cba6603012ba90d8.html">Core</a></li><li class="navelem"><a class="el" href="../../dir_4763e2204ca4935d3e08fff4ec8c41d9.html">Scripts</a></li><li class="navelem"><a class="el" href="../../dir_2f8e807662ba55784a08a7a744bca2da.html">4_world</a></li><li class="navelem"><a class="el" href="../../dir_941d75c2f3e001cbf2e710cd4f7d66b3.html">dayzexpansion_core</a></li><li class="navelem"><a class="el" href="../../dir_fde4ebb0f214ef7c3c8294622a009974.html">classes</a></li><li class="navelem"><a class="el" href="../../dir_b3b86c0f5f1a7324b3e73991bf51d710.html">fsm</a></li><li class="navelem"><a class="el" href="../../df/d59/a01001.html">expansiontransitiontype.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
